# Class QuerySortedReadPairIteratorUtil.ReadPair

java.lang.Object
picard.util.QuerySortedReadPairIteratorUtil.ReadPair

Enclosing class:
  `QuerySortedReadPairIteratorUtil`

public static class QuerySortedReadPairIteratorUtil.ReadPair extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`htsjdk.samtools.SAMRecord`
`read1`
`htsjdk.samtools.SAMRecord`
`read2`

## Constructor Summary

Constructors
Constructor
Description
`ReadPair()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### read1

public htsjdk.samtools.SAMRecord read1

### read2

public htsjdk.samtools.SAMRecord read2

## Constructor Details

### ReadPair

public ReadPair()